Subject: Re: [Simple] full-state RLMI documents after resubscriptions (RFC 4662)

From: Adam Roach <[email-masked]>
Date: Fri, 07 Mar 2008 13:51:17 -0600

Hisham is 100% correct (especially about the meaning of SHOULD), but I'd 
like to emphasize something that may help answer the question more clearly.

Section 5.2 is talking about the first NOTIFY in a subscription.
Section 4.5 is talking about every NOTIFY in a subscription, *except* 
for the first one.

/a

Hisham Khartabil wrote:
> Section 5.2 is indicating that the NOTIFY MUST have 
> "fullState" attribute set to 'true' and the state information must be 
> full state, if the NOTFIY is sent.
>  
> Section 4.5 is talking about sending the actual NOTIFY request. It is 
> a SHOULD, which really means MUST anyway unless you have a really good 
> reason not to do so.
>  
> Hisham
>
>  
> On 29/01/2008, *Victoria Beltrán Martínez* <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     I would be pleased to receive any clarification about an issue
>     originated in a discussion about the draft
>     "draft-ietf-simple-interdomain-scaling-analysis-03":
>
>     In section 4.5 of RFC 4662 the sentence "Immediate notifications
>     triggered as a result of subsequent SUBSCRIBE messages SHOULD
>     include an
>     RLMI document in which the full state is indicated" indicates that
>     sending full-state documents after resubscriptions is only a
>     recommendation (not a requirement). However, in section 5.2 of the
>     same
>     RFC the sentence "The first NOTIFY sent in a subscription MUST contain
>     full state, as must the first NOTIFY sent after receipt of a SUBSCRIBE
>     request for the subscription" indicates that full-state documents are
>     required after the receipt of any SUBSCRIBE message (for both the
>     initial subscription and resubscriptions). I think that these two
>     sentences are a bit contradictory. Must the Resource List Server
>     send a
>     full-state RLMI document when it receives a subsequent (not inital)
>     SUBSCRIBE message?
>
>     Thanks in advance,
>
>     Victoria Beltrán
>
>
>     _______________________________________________
>     Simple mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www1.ietf.org/mailman/listinfo/simple
>
>
> ------------------------------------------------------------------------
>
> _______________________________________________
> Simple mailing list
> [email-masked]
> http://www.ietf.org/mailman/listinfo/simple
>   

_______________________________________________
Simple mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/simple